%bcond_with braille

Summary:       OpenPrinting CUPS filters and backends
Name:          cups-filters
Version:       1.28.16
Release:       4%{?dist}
License:       GPLv2 and GPLv2+ and GPLv3 and GPLv3+ and LGPLv2+ and MIT and BSD with advertising
Url:           http://www.linuxfoundation.org/collaborate/workgroups/openprinting/cups-filters
Source0:       http://www.openprinting.org/download/cups-filters/cups-filters-%{version}.tar.xz

Patch0001:     browsed-updatenetif.patch

BuildRequires: poppler-utils systemd python3-cups dejavu-sans-fonts systemd-rpm-macros
BuildRequires: cups-devel libjpeg-turbo-devel libtiff-devel avahi-devel gettext-devel
BuildRequires: autoconf automake libtool gcc gcc-c++ git-core make pkgconf-pkg-config
BuildRequires: pkgconfig(libqpdf) pkgconfig(dbus-1) pkgconfig(fontconfig) pkgconfig(freetype2)
BuildRequires: pkgconfig(poppler-cpp) pkgconfig(lcms2) pkgconfig(zlib) pkgconfig(avahi-glib)
BuildRequires: pkgconfig(glib-2.0)

Requires:      cups-filters-libs = %{version}-%{release}
Requires:      bc grep sed which colord cups-filesystem poppler-utils cups
%{?systemd_requires}

Recommends:    nss-mdns avahi cups-ipptool

%if %{with braille}
Recommends:    %{name}-braille = %{version}-%{release}
%endif

%description
CUPS is a standards-based, open source printing system developed by Apple Inc.
for Mac OS® X and other UNIX®-like operating systems. CUPS uses the Internet
Printing Protocol (“IPP”) and provides System V and Berkeley command-line interfaces,
a web interface, and a C API to manage printers and print jobs.

%package       libs
Summary:       OpenPrinting CUPS filters and backends - cupsfilters and fontembed libraries
License:       LGPLv2 and MIT

%description   libs
This package provides cupsfilters and fontembed libraries.

%package       devel
Summary:       OpenPrinting CUPS filters and backends - development environment
License:       LGPLv2 and MIT
Requires:      cups-filters-libs = %{version}-%{release}

%description   devel
This package provides development files for OpenPrinting CUPS filters and backends.

%if %{with braille}
%package       braille
Summary:       OpenPrinting CUPS filters and backends - braille filters and backend
License:       GPLv2+ and MIT
BuildRequires: liblouis-devel
Requires:      cups-filters = %{version}-%{release}
Requires:      liblouis-utils

%description   braille
The package provides filters and cups-brf backend needed for braille printing.
%endif

%prep
%autosetup -S git

%build
./autogen.sh
%configure --disable-static \
           --disable-silent-rules \
           --with-pdftops=pdftops \
           --enable-dbus \
           --with-rcdir=no \
           --disable-mutool \
           --enable-driverless \
           --enable-pclm \
           --with-apple-raster-filter=rastertopdf \
           --with-remote-cups-local-queue-naming=RemoteName \
%if %{with braille}
           --enable-braille \
%else
           --disable-braille \
%endif
           --disable-frequent-netif-update \
           --disable-exif \
           --disable-ghostscript \
           --disable-poppler

%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/lib*.la
rm -f %{buildroot}%{_bindir}/ttfread
rm -f %{buildroot}%{_pkgdocdir}/INSTALL
install -D fontembed/README %{buildroot}%{_pkgdocdir}/fontembed/README
install -D -p -m 644 utils/cups-browsed.service %{buildroot}%{_unitdir}/cups-browsed.service

ln -sf %{_cups_serverbin}/filter/foomatic-rip %{buildroot}%{_bindir}/foomatic-rip

%check
%make_build check

%post
%systemd_post cups-browsed.service

%preun
%systemd_preun cups-browsed.service

%postun
%systemd_postun_with_restart cups-browsed.service 


%files
%{_pkgdocdir}/AUTHORS
%{_pkgdocdir}/README
%{_pkgdocdir}/ABOUT-NLS
%{_pkgdocdir}/NEWS
%{_bindir}/foomatic-rip
%{_bindir}/driverless
%{_bindir}/driverless-fax
%{_sbindir}/cups-browsed
%attr(0700,root,root) %{_cups_serverbin}/backend/beh
%attr(0700,root,root) %{_cups_serverbin}/backend/implicitclass
%attr(0700,root,root) %{_cups_serverbin}/backend/parallel
%attr(0700,root,root) %{_cups_serverbin}/backend/serial
%{_cups_serverbin}/backend/driverless
%{_cups_serverbin}/backend/driverless-fax
%attr(0755,root,root) %{_cups_serverbin}/filter/bannertopdf
%attr(0755,root,root) %{_cups_serverbin}/filter/commandtoescpx
%attr(0755,root,root) %{_cups_serverbin}/filter/commandtopclx
%attr(0755,root,root) %{_cups_serverbin}/filter/foomatic-rip
%attr(0755,root,root) %{_cups_serverbin}/filter/imagetopdf
%attr(0755,root,root) %{_cups_serverbin}/filter/imagetops
%attr(0755,root,root) %{_cups_serverbin}/filter/imagetoraster
%attr(0755,root,root) %{_cups_serverbin}/filter/pdftopdf
%attr(0755,root,root) %{_cups_serverbin}/filter/pdftops
%attr(0755,root,root) %{_cups_serverbin}/filter/rastertoescpx
%attr(0755,root,root) %{_cups_serverbin}/filter/rastertopclm
%attr(0755,root,root) %{_cups_serverbin}/filter/rastertopclx
%attr(0755,root,root) %{_cups_serverbin}/filter/rastertopdf
%attr(0755,root,root) %{_cups_serverbin}/filter/rastertops
%attr(0755,root,root) %{_cups_serverbin}/filter/sys5ippprinter
%attr(0755,root,root) %{_cups_serverbin}/filter/texttopdf
%attr(0755,root,root) %{_cups_serverbin}/filter/texttops
%attr(0755,root,root) %{_cups_serverbin}/filter/texttotext
%{_cups_serverbin}/driver/driverless
%{_cups_serverbin}/driver/driverless-fax
%{_datadir}/cups/banners
%{_datadir}/cups/charsets
%{_datadir}/cups/data/*
%{_datadir}/cups/drv/cupsfilters.drv
%{_datadir}/cups/mime/cupsfilters.types
%{_datadir}/cups/mime/cupsfilters.convs
%{_datadir}/ppd/cupsfilters
%{_datadir}/cups/ppdc/pcl.h
%config(noreplace) %verify(not size filedigest mtime) %{_sysconfdir}/cups/cups-browsed.conf
%{_unitdir}/cups-browsed.service
%{_mandir}/man1/foomatic-rip.1.gz
%{_mandir}/man1/driverless.1.gz
%{_mandir}/man5/cups-browsed.conf.5.gz
%{_mandir}/man8/cups-browsed.8.gz

%files libs
%dir %{_pkgdocdir}/
%{_pkgdocdir}/COPYING
%dir %{_pkgdocdir}/fontembed
%{_pkgdocdir}/fontembed/README
%{_libdir}/libcupsfilters.so.1*
%{_libdir}/libfontembed.so.1*

%files devel
%{_datadir}/cups/ppdc/escp.h
%{_includedir}/cupsfilters
%{_includedir}/fontembed
%{_libdir}/libcupsfilters.so
%{_libdir}/libfontembed.so
%{_libdir}/pkgconfig/libcupsfilters.pc
%{_libdir}/pkgconfig/libfontembed.pc

%if %{with braille}
%files braille
%attr(0700,root,root) %{_cups_serverbin}/backend/cups-brf
%attr(0755,root,root) %{_cups_serverbin}/filter/brftoembosser
%attr(0755,root,root) %{_cups_serverbin}/filter/brftopagedbrf
%attr(0755,root,root) %{_cups_serverbin}/filter/imagetobrf
%attr(0755,root,root) %{_cups_serverbin}/filter/imageubrltoindexv3
%attr(0755,root,root) %{_cups_serverbin}/filter/imageubrltoindexv4
%attr(0755,root,root) %{_cups_serverbin}/filter/musicxmltobrf
%attr(0755,root,root) %{_cups_serverbin}/filter/textbrftoindexv3
%attr(0755,root,root) %{_cups_serverbin}/filter/texttobrf
%attr(0755,root,root) %{_cups_serverbin}/filter/vectortobrf
%attr(0755,root,root) %{_cups_serverbin}/filter/vectortopdf
%{_cups_serverbin}/filter/cgmtopdf
%{_cups_serverbin}/filter/cmxtopdf
%{_cups_serverbin}/filter/emftopdf
%{_cups_serverbin}/filter/imagetoubrl
%{_cups_serverbin}/filter/svgtopdf
%{_cups_serverbin}/filter/textbrftoindexv4
%{_cups_serverbin}/filter/vectortoubrl
%{_cups_serverbin}/filter/xfigtopdf
%{_cups_serverbin}/filter/wmftopdf
%{_datadir}/cups/braille
%{_datadir}/cups/drv/generic-brf.drv
%{_datadir}/cups/drv/generic-ubrl.drv
%{_datadir}/cups/drv/indexv3.drv
%{_datadir}/cups/drv/indexv4.drv
%{_datadir}/cups/ppdc/braille.defs
%{_datadir}/cups/ppdc/fr-braille.po
%{_datadir}/cups/ppdc/imagemagick.defs
%{_datadir}/cups/ppdc/index.defs
%{_datadir}/cups/ppdc/liblouis.defs
%{_datadir}/cups/ppdc/liblouis1.defs
%{_datadir}/cups/ppdc/liblouis2.defs
%{_datadir}/cups/ppdc/liblouis3.defs
%{_datadir}/cups/ppdc/liblouis4.defs
%{_datadir}/cups/ppdc/media-braille.defs
%{_datadir}/cups/mime/braille.convs
%{_datadir}/cups/mime/braille.types
%endif

%changelog
* Wed Aug 02 2023 kianli <kianli@tencent.com> - 1.28.16-4
- Rebuilt for libtiff 4.5.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.28.16-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.28.16-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 13 2022 Shuo Wang <abushwang@tencent.com> - 1.28.16-1
- initial build

